Subject: Re: Announcing nntpgit

From: Jonathan Corbet <[email-masked]>
Date: Fri, 24 Feb 2012 14:43:09 -0700

On Fri, 24 Feb 2012 13:38:33 -0800
Junio C Hamano <[email-masked]> wrote:

> How do you handle message threading (References: and In-Reply-To:)?
> 
> Would a commit on the "mainline" (a rough approximation of it would be
> "log --first-parent" starting from the tip) form the discussion starter
> article, and any side branch that fork from them would be a discussion
> thread starting at the commit?

There's really no threading at all at this point; it's just a linear
series of commits-as-messages as provided by a vanilla "git log".  I could
certainly see trying to do something fancier, if it were useful, but it's
not something I've thought about much yet.

Like I said, it's really young stuff :)

jon